﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using ThinkGeo.MapSuite.Core;
using ThinkGeo.MapSuite.WebEdition;

namespace MapWithCache
{
    public partial class Default : System.Web.UI.Page
    {
        private const string shapeFileRoot = @"C:\Program Files (x86)\ThinkGeo\Map Suite Web Evaluation Edition 4.0\Samples\CSharp Samples\SampleData\USA\";

        protected void Page_Load(object sender, EventArgs e)
        {
            if (!Page.IsPostBack)
            {
                Map1.MapBackground.BackgroundBrush = new GeoSolidBrush(GeoColor.FromHtml("#E5E3DF"));
                Map1.MapUnit = GeographyUnit.DecimalDegree;

                ShapeFileFeatureLayer utahWaterShapeLayer = new ShapeFileFeatureLayer(shapeFileRoot + "UtahWater.shp");
                utahWaterShapeLayer.ZoomLevelSet.ZoomLevel01.ApplyUntilZoomLevel = ApplyUntilZoomLevel.Level20;
                utahWaterShapeLayer.ZoomLevelSet.ZoomLevel01.DefaultAreaStyle = AreaStyles.Water1;
                utahWaterShapeLayer.ZoomLevelSet.ZoomLevel01.DefaultTextStyle = TextStyles.Water1("Landname");
                utahWaterShapeLayer.DrawingMarginPercentage = 50;

                Map1.CurrentExtent = new RectangleShape(-114.04619, 42.001316, -109.045232, 36.999999);

                Map1.StaticOverlay.Layers.Add(utahWaterShapeLayer);
                Map1.StaticOverlay.ServerCache.CacheDirectory = @"D:\ImageCache";
                Map1.StaticOverlay.GenerateCacheImages(Map1.ClientZoomLevelScales[9], new RectangleShape(-114.04619, 42.001316, -109.045232, 36.999999), Map1.MapUnit);
            }
        }
    }
}